Skip to main content
GET
Get Page

Authorizations

x-api-key
string
header
required

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path Parameters

pageIdOrPathname
string
required

The page ID or pathname for the page you are requesting.

Query Parameters

siteId
string<uuid>

The site ID required when using a pathname instead of a page ID.

versionRef
enum<string>
default:ref:draft

The version reference to retrieve the page from. Defaults to ref:draft if not provided.

Supported formats:

  • ref:draft - Draft/working version
  • ref:live - Live/published version
Available options:
ref:live,
ref:draft
locale
string

The locale to retrieve the page in. If provided, localized page data is collapsed into the response.

Response

object
enum<string>
required
Available options:
page
Example:

"page"

id
string<uuid>
required

The ID of the page.

pathname
string
required

The page pathname.

Example:

"furniture"

canonicalUrl
string | null
required

The canonical URL of the page.

title
string | null
required

The page title.

description
string | null
required

The page description.

socialImageUrl
string | null
required

The social image URL of the page.

sitemapPriority
number | null
required

The sitemap priority.

Required range: 0 <= x <= 1
sitemapFrequency
enum<string> | null
required

The sitemap update frequency.

Available options:
always,
hourly,
daily,
weekly,
monthly,
yearly,
never
createdAt
string<date-time> | null
required

The page creation date and time.

updatedAt
string<date-time> | null
required

The page last update date and time.

publishedAt
string<date-time> | null
required

The page publication date and time.

isOnline
boolean
required

The flag that indicates whether the page is online.

excludedFromSearchEngines
boolean | null
required

The flag that indicates whether the page is excluded from search.

localizations
object[]
required

The localizations of the page.

locale
string

The page locale. This defaults to the default locale of the parent site.